#ifndef TELNET_H
#define TELNET_H

#include "global.h"

#define PORT_TELNET		23

#define INPUT_IDLE		0
#define INPUT_IP			1
#define INPUT_MASK		2
#define INPUT_GATE		3
#define INPUT_BAUD		4
#define INPUT_U_TIMEOUT 5

#define INBUFF_SIZE  	30

#define TELNET_TIMEOUT  600  // Telnet Keepalive Timeout = 1min

extern u16 tnpos;
extern u08 inputtype;
extern u08 tn_inbuff[INBUFF_SIZE];
extern u08 tn_inpos;

void char2str(u16 data, char *s, u08 digits);
void ip_addstring_P(const char *data);
void ip_addstring(char *data);
void ip_sendstring(void);
void display_ip_telnet(u16_t *ip);
void telnet(void);


#endif
